.search {
    z-index: 200;
    position: relative;

    &__field {
        width: 100%;
        display: block;
        font-weight: 400;
        position: relative;
        background: transparent;
        $input-selector: "input[type=text], input[type=email], input[type=password], textarea, select";

        #{$input-selector} {
            margin: 0;
            width: 100%;
            outline: none;
            color: #5D6570;
            height: toRem(32);
            box-shadow: none;
            font-weight: 400;
            font-size: toRem(14);
            line-height: toRem(20);
            background: #fff;
            border-radius: 8px;
            display: inline-block;
            vertical-align: middle;
            border: toRem(1) solid #E3E4E4;
            padding: toRem(2) toRem(16) toRem(4) toRem(16);
            @include placeholder(#828C99);


            &::-ms-clear {
                display: none;
                width: 0;
                height: 0;
            }

            &:focus,
            &:active {
                outline: none;
                border-color: #E3E4E4;
                @include placeholder(transparent);
            }

            &:disabled {
                border-color: #E3E4E4;
                background: rgba(0, 61, 228, 0.1);
            }

            &.error {
                border-color: red !important;
            }
        }
    }

    &__result {
        left: 0;
        top: 100%;
        font-size: toRem(14);
        line-height: toRem(24);
        min-width: 100%;
        position: absolute;
        background: $white;
        border: 1px solid #D9D9D9;
        border-top: none;
        border-radius: 0 0 8px 8px;
        opacity: 0;
        visibility: hidden;
    }

    &__container {
        max-height: toRem(118);
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__link {
        color: #5D6570;
        display: block;
        cursor: pointer;
        padding: 0 toRem(5);
        text-decoration: none;

        &:hover {
            color: $blue;
            text-decoration: none;
        }
    }

    &.open {

        .search {

            &__field {
                $input-selector: "input[type=text], input[type=email], input[type=password], textarea, select";


                #{$input-selector} {
                    border-radius: 8px 8px 0 0;
                }
            }

            &__result {
                opacity: 1;
                visibility: visible;
            }
        }
    }
}
